## python-bincopy 17.14.5+dfsg1

=== debian/changelog ===
python-bincopy (17.14.5+dfsg1-2) unstable; urgency=medium

  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 20:55:15 +0200

python-bincopy (17.14.5+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #1034407)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Apr 2023 22:53:12 +0200

## python-bincopy 20.0.0+dfsg1

=== Makefile ===
test:
	python3 -m pytest
	$(MAKE) test-sdist

test-sdist:
	rm -rf dist
	python3 setup.py sdist
	cd dist && \
	mkdir test && \
	cd test && \
	tar xf ../*.tar.gz && \
	cd bincopy-* && \
	python3 -m pytest

=== debian/changelog ===
python-bincopy (20.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.0.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 20:43:11 +0100

python-bincopy (19.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 19.1.0+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Oct 2023 10:13:51 +0200

=== debian/control ===
Source: python-bincopy
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-argparse-addons,
 python3-humanfriendly,
 python3-pyelftools,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/eerimoq/bincopy
Vcs-Git: https://salsa.debian.org/sramacher/python-bincopy.git
Vcs-Browser: https://salsa.debian.org/sramacher/python-bincopy
Rules-Requires-Root: no

Package: python3-bincopy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Mangling of binary file formats (Python 3 module)
 The bincopy Python module supports mangling of various file formats that
 conveys binary information. The supported file formats include Motorola
 S-Record, Intel HEX, TI-TXT, Verilog VMEM, and ELF files.
 .
 This package contains the module for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=bincopy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# tests removed

## python-bincopy 20.1.0+dfsg1

=== debian/changelog ===
python-bincopy (20.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.1.0+dfsg1
  * debian/control: Bump Standards-Version
  * debian/: Use dh-sequence-python3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Feb 2025 21:27:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-argparse-addons,
  python3-humanfriendly,
  python3-pyelftools,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/eerimoq/bincopy
 Vcs-Git: https://salsa.debian.org/sramacher/python-bincopy.git
 Vcs-Browser: https://salsa.debian.org/sramacher/python-bincopy

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=bincopy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# tests removed

=== debian/watch ===
version=4
# try also https://pypi.debian.net/bincopy/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/bincopy/python-bincopy/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
https://pypi.debian.net/bincopy/bincopy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-bincopy 20.1.1+dfsg1

=== debian/changelog ===
python-bincopy (20.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.1.1+dfsg1
  * debian/control:
    - Drop Priority: optional
    - Drop RRR: no
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Mar 2026 10:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-bincopy
 Section: python
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,11 +10,10 @@
  python3-humanfriendly,
  python3-pyelftools,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/eerimoq/bincopy
 Vcs-Git: https://salsa.debian.org/sramacher/python-bincopy.git
 Vcs-Browser: https://salsa.debian.org/sramacher/python-bincopy
-Rules-Requires-Root: no
 
 Package: python3-bincopy
 Architecture: all
